> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Merchant Fee Tier



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/fees/merchant-tier
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/fees/merchant-tier:
    get:
      tags:
        - fees
      summary: Get Merchant Fee Tier
      operationId: get_merchant_fee_tier__version__fees_merchant_tier_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: owner_type
          in: query
          required: true
          schema:
            enum:
              - USER
              - MICRO_ORGANIZATION
              - ORGANIZATION
            type: string
            title: Owner type
        - name: owner_id
          in: query
          required: true
          schema:
            type: integer
            title: Owner id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantFeeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MerchantFeeResponse:
      properties:
        id:
          type: integer
          title: Id
        owner_type:
          type: string
          title: Owner Type
        owner_id:
          type: integer
          title: Owner Id
        assigned_at:
          type: string
          format: date-time
          title: Assigned At
        assigned_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Assigned By
        tier:
          anyOf:
            - $ref: '#/components/schemas/FeeTier'
            - type: 'null'
      type: object
      required:
        - id
        - owner_type
        - owner_id
        - assigned_at
      title: MerchantFeeResponse
      description: MerchantFeeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeeTier:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        is_default:
          type: boolean
          title: Is Default
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - is_default
        - created_at
        - updated_at
      title: FeeTier
      description: >-
        Named platform fee plan.  Only one tier may have is_default=True (unique
        partial index). Falls back to the default tier when no merchant-specific
        tier is assigned.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````